Subject: bug#68229: go.powerpc64le-linux 1.14.15 fails test suite

From: Maxim Cournoyer <[email-masked]>
Date: Tue, 09 Jan 2024 23:31:07 -0500

reopen 68229
quit

Hi,

Efraim Flashner <[email-masked]> writes:

> On January 3, 2024 5:59:22 PM UTC, Maxim Cournoyer <[email-masked]> wrote:
>>Hello,
>>
>>Efraim Flashner <[email-masked]> writes:
>>
>>> On Wed, Jan 03, 2024 at 11:29:50AM -0500, Maxim Cournoyer wrote:
>>>> Hello,
>>>> 
>>>> [email-masked] (Cuirass) writes:
>>>> 
>>>> > <p>The build <b>go.powerpc64le-linux</b> for specification
>>>> > <b>master</b> is broken. You can find the detailed information
>>>> > about this build <a
>>>> > href="https://ci.guix.gnu.org/build/3139760/details">here</a>.</p>
>>>> >
>>>> > https://ci.guix.gnu.org/build/3139760/details
>>>> 
>>>> The test failure is:
>>>> 
>>>> --8<---------------cut here---------------start------------->8---
>>>> --- FAIL: TestScript (0.00s)
>>>>     --- FAIL: TestScript/vendor_complex (2.07s)
>>>>         script_test.go:193: 
>>>>             # smoke test for complex build configuration (1.990s)
>>>>             > go build -o complex.exe complex
>>>>             > [exec:gccgo] go build -compiler=gccgo -o complex.exe complex
>>>>             [stderr]
>>>>             # complex
>>>>             gccgo: error: unrecognized command-line option
>>>> '-rpath=/gnu/store/qj6cnccz6vsffqa32rviw4zaqgh7xd6q-gcc-11.3.0-lib/lib'
>>>>             [exit status 2]
>>>>             FAIL: testdata/script/vendor_complex.txt:5: unexpected command failure
>>>>             
>>>> FAIL
>>>> FAIL	cmd/go	46.068s
>>>> --8<---------------cut here---------------end--------------->8---
>>>> 
>>>> I don't see an obvious relationship with the recent commit touching
>>>> gccgo-12, but I'm CC'ing its author in case it could be.
>>>
>>> This one is go-1.14. That one already failed for ppc64le.
>>
>>OK; Cuirass got it wrong again.  Should we leave the ticket open though,
>>since it's an actual problem?
>>
> Fine with me. We should probably remove go-1.14 anyway if nothing
> depends on it. And either make it build on ppc64le or mark it not
> supported otherwise.

Alright, I'll leave this open for someone to pick up.  The task would be
to remove go-1.14, incorporating it into go-1.16, which currently
inherits from it.  Any takers?

-- 
Thanks,
Maxim